Subject: Re: getaddrinfo - should accept IPPROTO_SCTP no?

From: Rick Jones <[email-masked]>
Date: Fri, 13 Oct 2006 16:48:26 -0700

> In all the DCCP code which has similar issues I just do the protocol
> selection on the socket call e.g.
>         case TCP:
>             new_sock = socket(AF_INET,SOCK_STREAM,0);
>             break;
>         case DCCP:
>             new_sock = socket(AF_INET,SOCK_DCCP,IPPROTO_DCCP);
>             break;
>         case UDP:
>             new_sock = socket(AF_INET,SOCK_DGRAM,0);
>             break;
> 
> I'm sure you know all this anyway so apologies in advance for telling
> you something you probably already know!

No worries.

David mentioned that I need to talk to the glibc folks.  I'm still trying to web 
search my way to finding them.  Meanwhile I may do in netperf for this what I do 
for Solaris' arbitrary clearing of the ai_protocol field - kludge around it and 
have netperf emit a warning.

rick jones